Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.eviware.soapui.model.tree.nodes
Class TestCaseTreeNode

    java.lang.Object
      com.eviware.soapui.model.tree.AbstractModelItemTreeNode<TestCase>
          com.eviware.soapui.model.tree.nodes.TestCaseTreeNode

All Implemented Interfaces:
  SoapUITreeNode, java.beans.PropertyChangeListener, java.util.EventListener

    public class TestCaseTreeNode

extends AbstractModelItemTreeNode<TestCase>

SoapUITreeNode for TestCase implementations

Author:
  Ole.Matzura

Nested Class Summary
`class` | `TestCaseTreeNode.LoadTestsTreeNode`
`class` | `TestCaseTreeNode.TestStepsTreeNode`

Nested classes/interfaces inherited from class com.eviware.soapui.model.tree.AbstractModelItemTreeNode
`AbstractModelItemTreeNode.ReorderPropertyChangeListener`

Constructor Summary
`TestCaseTreeNode(TestCase testCase, SoapUITreeModel treeModel)`

Method Summary
`int` | `getChildCount()`
`SoapUITreeNode` | `getChildNode(int index)`
`int` | `getIndexOfChild(java.lang.Object child)`
`TestCaseTreeNode.LoadTestsTreeNode` | `getLoadTestsNode()`
`TestCase` | `getTestCase()`
`TestCaseTreeNode.TestStepsTreeNode` | `getTestStepsNode()`
`void` | `loadTestInserted(LoadTest loadTest)`
`void` | `loadTestRemoved(LoadTest loadTest)`
`void` | `release()`
`void` | `testStepInserted(TestStep testStep, int index)`
`void` | `testStepMoved(TestStep testStep, int fromIndex, int offset)`
`void` | `testStepRemoved(TestStep testStep, int index)`

Methods inherited from class com.eviware.soapui.model.tree.AbstractModelItemTreeNode
`getActions, getModelItem, getOverviewPanel, getParentTreeNode, getPopup, getTreeModel, initOrdering, isLeaf, propertyChange, reorder, sortModelItems, toString, valueChanged`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TestCaseTreeNode

    public TestCaseTreeNode(TestCase testCase,
                            SoapUITreeModel treeModel)

Method Detail

### release

    public void release()

  Specified by:
    `release` in interface `SoapUITreeNode`
  Overrides:
    `release` in class `AbstractModelItemTreeNode<TestCase>`

### getChildCount

    public int getChildCount()

  Specified by:
    `getChildCount` in interface `SoapUITreeNode`
  Overrides:
    `getChildCount` in class `AbstractModelItemTreeNode<TestCase>`

### getChildNode

    public SoapUITreeNode getChildNode(int index)

  Specified by:
    `getChildNode` in interface `SoapUITreeNode`
  Overrides:
    `getChildNode` in class `AbstractModelItemTreeNode<TestCase>`

### getIndexOfChild

    public int getIndexOfChild(java.lang.Object child)

  Specified by:
    `getIndexOfChild` in interface `SoapUITreeNode`
  Overrides:
    `getIndexOfChild` in class `AbstractModelItemTreeNode<TestCase>`

### getLoadTestsNode

    public TestCaseTreeNode.LoadTestsTreeNode getLoadTestsNode()

### getTestStepsNode

    public TestCaseTreeNode.TestStepsTreeNode getTestStepsNode()

### getTestCase

    public TestCase getTestCase()

### testStepInserted

    public void testStepInserted(TestStep testStep,
                                 int index)

### testStepRemoved

    public void testStepRemoved(TestStep testStep,
                                int index)

### loadTestInserted

    public void loadTestInserted(LoadTest loadTest)

### loadTestRemoved

    public void loadTestRemoved(LoadTest loadTest)

### testStepMoved

    public void testStepMoved(TestStep testStep,
                              int fromIndex,
                              int offset)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005-2007 eviware.com. All Rights Reserved.